Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.sla
Class CustomSlaManager

    java.lang.Object
      com.bea.wlcp.wlng.api.sla.CustomSlaManager

public abstract class CustomSlaManager
extends Object

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Constructor Summary
`CustomSlaManager()`

Method Summary
`abstract Document` | `getApplicationGroupCustomSla(String slaType)` Returns the Application Group SLA of a custum type
`abstract Object` | `getApplicationGroupCustomSla(String slaType, String parserId)` Returns the Application Group SLA of a custum type
`abstract Document` | `getGlobalCustomSla(String slaType)` Returns the Global SLA of a custum type
`abstract Object` | `getGlobalCustomSla(String slaType, String parserId)` Returns the Global SLA of a custum type
`static CustomSlaManager` | `getInstance()`
`abstract Document` | `getServiceProviderGroupCustomSla(String slaType)` Returns the Service Provider Group SLA of a custum type
`abstract Object` | `getServiceProviderGroupCustomSla(String slaType, String parserId)` Returns the Service Provider Group SLA of a custum type
`abstract void` | `registerSlaParserCallback(String slaType, String parserId, SlaParserCallback parser)` Register a custom parser callback for the specific agreement GroupType.
`abstract void` | `unregisterSlaParserCallback(String slaType, String parserId)` Register a custom parser callback for the specific agreement GroupType

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomSlaManager

    public CustomSlaManager()

Method Detail

### getApplicationGroupCustomSla

    public abstract Document getApplicationGroupCustomSla(String slaType)
                                                   throws ManagementException,
                                                          InputManagementException

  Returns the Application Group SLA of a custum type

  Parameters:
    `slaType` - the name of the custom SLA to retive
  Returns:
    a XML Document with the custom Application Group for the request context, null if there is no SLA
  Throws:
    `InputManagementException` - if slaType has the same name than a a system sla
    `ManagementException` - validation of service level agreement failed or if an error getting the Application Group ocured.

    Note: The return value is read/write. Changed to this object will affect the value of the object for other instances accessing it.

### getApplicationGroupCustomSla

    public abstract Object getApplicationGroupCustomSla(String slaType,
                                                        String parserId)
                                                 throws ManagementException,
                                                        InputManagementException

  Returns the Application Group SLA of a custum type

  Parameters:
    `slaType` - the name of the custom SLA to retive
    `parserId` - the id of the parser to register, it should be unique ID for the type on the whole cluster
  Returns:
    the SLA after being processed for the SlaParserCallback, null if there is no SLA
  Throws:
    `InputManagementException` - if slaType has the same name than a a system sla
    `ManagementException` - validation of service level agreement failed or if an error getting the Application Group ocured.

    Note: The return value is read/write. Changed to this object will affect the value of the object for other instances accessing it.

### getGlobalCustomSla

    public abstract Document getGlobalCustomSla(String slaType)
                                         throws ManagementException,
                                                InputManagementException

  Returns the Global SLA of a custum type

  Parameters:
    `slaType` - the name of the custom SLA to retive
  Returns:
    a XML Document with the custom Global for the request context, null if there is no SLA
  Throws:
    `InputManagementException` - if slaType has the same name than a a system sla
    `ManagementException` - validation of service level agreement failed.

    Note: The return value is read/write. Changed to this object will affect the value of the object for other instances accessing it.

### getGlobalCustomSla

    public abstract Object getGlobalCustomSla(String slaType,
                                              String parserId)
                                       throws ManagementException,
                                              InputManagementException

  Returns the Global SLA of a custum type

  Parameters:
    `slaType` - the name of the custom SLA to retive
    `parserId` - the id of the parser to register, it should be unique ID for the type on the whole cluster
  Returns:
    the SLA after being processed for the SlaParserCallback, null if there is no SLA
  Throws:
    `InputManagementException` - if slaType has the same name than a a system sla
    `ManagementException` - validation of service level agreement failed.

    Note: The return value is read/write. Changed to this object will affect the value of the object for other instances accessing it.

### getInstance

    public static CustomSlaManager getInstance()

### getServiceProviderGroupCustomSla

    public abstract Document getServiceProviderGroupCustomSla(String slaType)
                                                       throws ManagementException,
                                                              InputManagementException

  Returns the Service Provider Group SLA of a custum type

  Parameters:
    `slaType` - the name of the custom SLA to retive
  Returns:
    a XML Document with the custom Service Provider for the request context, null if there is no SLA
  Throws:
    `InputManagementException` - if slaType has the same name than a a system sla
    `ManagementException` - validation of service level agreement failed or if an error getting the Application Group ocured.

    Note: The return value is read/write. Changed to this object will affect the value of the object for other instances accessing it.

### getServiceProviderGroupCustomSla

    public abstract Object getServiceProviderGroupCustomSla(String slaType,
                                                            String parserId)
                                                     throws ManagementException,
                                                            InputManagementException

  Returns the Service Provider Group SLA of a custum type

  Parameters:
    `slaType` - the name of the custom SLA to retive
    `parserId` - the id of the parser to register, it should be unique ID for the type on the whole cluster
  Returns:
    the SLA after being processed for the SlaParserCallback, null if there is no SLA
  Throws:
    `InputManagementException` - if slaType has the same name than a a system sla
    `ManagementException` - validation of service level agreement failed or if an error getting the Application Group ocured.

    Note: The return value is read/write. Changed to this object will affect the value of the object for other instances accessing it.

### registerSlaParserCallback

    public abstract void registerSlaParserCallback(String slaType,
                                                   String parserId,
                                                   SlaParserCallback parser)
                                            throws ManagementException,
                                                   InputManagementException

  Register a custom parser callback for the specific agreement GroupType.

  This function provide an efficient mechanizm to cache the SLA to a more conveniant representation for all the request instead performing the transformation every request.

  Parameters:
    `slaType` - the name of the custom SLA to set the callback
    `parserId` - the id of the parser to register, it should be unique ID for the type on the whole cluster
    `parser` - the callback parser to process the SLA
  Throws:
    `InputManagementException` - if slaType has the same name than a a system sla
    `ManagementException` - when an exception parsing the existing SLA ocures

### unregisterSlaParserCallback

    public abstract void unregisterSlaParserCallback(String slaType,
                                                     String parserId)
                                              throws InputManagementException

  Register a custom parser callback for the specific agreement GroupType

  Parameters:
    `slaType` - the name of the custom SLA to remove the callback
    `parserId` - the id of the parser to register, it should be unique ID for the type on the whole cluster
  Throws:
    `InputManagementException` - if slaType has the same name than a a system sla

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD